import 'package:fis_measure/interfaces/process/calculators/values.dart';
import 'package:fis_measure/process/calcuators/formulas/index.dart' as formulas;

import 'package:vid/us/vid_us_unit.dart';

import '../interfaces/urology.dart';
import 'utils.dart';

class UrologyFormulasBase implements IUrologyFormulas {
  @override
  UnitFloatValue calcRUV(UnitFloatValue d1, UnitFloatValue d2) {
    final value = formulas.UrologyFormulas.calcRUV(
      d1.convert(VidUsUnit.cm),
      d2.convert(VidUsUnit.cm),
    );
    return UnitFloatValue(value, VidUsUnit.ml); // ??
  }
}
