import 'package:vid/us/vid_us_unit.dart';

import 'abstract.dart';

class LengthMapCM extends UnitMapBase {
  LengthMapCM() : super(VidUsUnit.cm);

  @override
  void initMap() {
    add(VidUsUnit.mm, 0.1);
    add(VidUsUnit.inch, 2.54);
    add(VidUsUnit.ft, 30.48);
    add(VidUsUnit.um, 0.0001);
  }
}

class LengthMapMM extends UnitMapBase {
  LengthMapMM() : super(VidUsUnit.mm);

  @override
  void initMap() {
    add(VidUsUnit.cm, 10);
    add(VidUsUnit.inch, 25.4);
    add(VidUsUnit.ft, 304.8);
    add(VidUsUnit.um, 0.001);
  }
}
