import 'package:fis_measure/interfaces/process/physical_coordinates/physical_coordinate.dart';
import 'package:fis_measure/interfaces/date_types/rect_region.dart';
import 'package:fis_measure/process/physical_coordinates/empty_tissue.dart';
import 'package:fis_measure/process/viewports/tissue_viewport.dart';
import 'package:vid/us/vid_us_unit.dart';
import 'package:fis_measure/process/visual/tissue_area.dart';

class ThirdPartViewPort extends TissueViewPort {
  ThirdPartViewPort(
    TissueArea tissueArea,
    ITissuePhysicalCoordinate physicalCoordinate,
    VidUsUnit xUnit,
    VidUsUnit yUnit,
    RectRegion region,
  ) : super(
          tissueArea,
          EmptyTissuePhysicalCoordinate(),
          xUnit,
          yUnit,
          false,
          false,
          region,
        );
}
