import 'package:fis_measure/interfaces/enums/annotation.dart';

abstract class IMeasureRecorder {
  /// 获取一个新的记录Id
  int newRecordId();

  /// 添加测量项记录
  ///
  /// [name] 测量项名称
  void recordMeasureItem(String name);

  /// 添加注释记录
  ///
  /// [type] 注释类型
  void recordAnnotation(AnnotationType type);
}
